## mx4j.tools.config
Class DefaultConfigurationBuilder

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

public class DefaultConfigurationBuilder
extends java.lang.Object
implements ConfigurationBuilder

Version:
  $Revision: 1.7 $

Nested Class Summary
`static class` `DefaultConfigurationBuilder.AbstractNode`
`static class` `DefaultConfigurationBuilder.Arg`
`static class` `DefaultConfigurationBuilder.Call`
`static class` `DefaultConfigurationBuilder.Configuration`
`static class` `DefaultConfigurationBuilder.Create`
`static class` `DefaultConfigurationBuilder.New`
`static class` `DefaultConfigurationBuilder.Object`
`static class` `DefaultConfigurationBuilder.Register`
`static class` `DefaultConfigurationBuilder.Shutdown`
`static class` `DefaultConfigurationBuilder.Startup`
`static class` `DefaultConfigurationBuilder.Unregister`

Nested classes inherited from class mx4j.tools.config.ConfigurationBuilder
`ConfigurationBuilder.Node, ConfigurationBuilder.ObjectsHolder`

Field Summary
`static java.lang.String` `RESTART_COMMAND`
`static java.lang.String` `SHUTDOWN_COMMAND`

Constructor Summary
`DefaultConfigurationBuilder()`

Method Summary
`ConfigurationBuilder.Node` `createConfigurationNode(org.w3c.dom.Element node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHUTDOWN_COMMAND

    public static final java.lang.String SHUTDOWN_COMMAND

See Also:
  Constant Field Values

### RESTART_COMMAND

    public static final java.lang.String RESTART_COMMAND

See Also:
  Constant Field Values

Constructor Detail

### DefaultConfigurationBuilder

    public DefaultConfigurationBuilder()

Method Detail

### createConfigurationNode

    public ConfigurationBuilder.Node createConfigurationNode(org.w3c.dom.Element node)
                                                      throws ConfigurationException

  Specified by:
    `createConfigurationNode` in interface `ConfigurationBuilder`
  Throws:
    `ConfigurationException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.